glibmm 2.66.10

Public Types | Public Member Functions | Static Public Member Functions | List of all members
Glib::Private< T > Class Template Reference

Thread-local data pointer. More...

`#include <glibmm/thread.h>`

## Public Types
using | DestructorFunc = void (*) (void*)

## Public Member Functions
| Private (const Private< T > &)=delete
Private< T > & | operator= (const Private< T > &)=delete
| Private (DestructorFunc destructor_func=& Private< T >::delete_ptr)
T * | get ()
void | set (T * data)
GPrivate * | gobj ()

## Static Public Member Functions
static void | delete_ptr (void * data)

## Detailed Description

template<class T>
class Glib::Private< T >

Thread-local data pointer.

Deprecated
  Use Glib::Threads::Private instead.

## Member Typedef Documentation

## ◆ DestructorFunc

template <class T>

using Glib::Private< T >::DestructorFunc = void (*) (void*)

## Constructor & Destructor Documentation

## ◆ Private() [1/2]

template <class T>

Glib::Private< T >::Private | ( | const Private< T > & |  | ) |
| delete

## ◆ Private() [2/2]

template <class T>

Glib::Private< T >::Private | ( | DestructorFunc | destructor_func = & Private< T >::delete_ptr | ) |
| inline explicit

## Member Function Documentation

## ◆ delete_ptr()

template <class T>

void Glib::Private< T >::delete_ptr | ( | void * | data | ) |
| static

## ◆ get()

template <class T>

T * Glib::Private< T >::get | ( |  | ) |
| inline

## ◆ gobj()

template <class T>

GPrivate * Glib::Private< T >::gobj | ( |  | ) |
| inline

## ◆ operator=()

template <class T>

Private< T > & Glib::Private< T >::operator= | ( | const Private< T > & |  | ) |
| delete

## ◆ set()

template <class T>

void Glib::Private< T >::set | ( | T * | data | ) |
| inline